v.timestamp(1)

NAME
v.timestamp - Modifies a timestamp for a vector map.
Print/add/remove a timestamp for a vector map.

KEYWORDS
vector, metadata, timestamp

SYNOPSIS
v.timestamp
v.timestamp --help
v.timestamp map=name [layer=string] [date=timestamp] [--help] [--verbose] [--quiet] [--ui]

  Flags:

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

map=name [required]
    Name of vector map
    Or data source for direct OGR access

layer=string
    Layer number or name
    Vector features can have category values in different layers. This number determines which layer to use. When used with direct OGR access this is the layer name.
    Default: 1

date=timestamp
    Datetime, datetime1/datetime2, or ’none’ to remove
    Format: ’15 jan 1994’ (absolute) or ’2 years’ (relative)

DESCRIPTION
This command has 2 modes of operation. If no date argument is supplied, then the current timestamp for the vector map is printed. If a date argument is specified, then the timestamp for the vector map is set to the specified date(s). See examples below.

NOTES
Strings containing spaces should be quoted. For specifying a range of time, the two timestamps should be separated by a forward slash. To remove the timestamp from a vector map, use date=none.

TIMESTAMP FORMAT
The timestamp values must use the format as described in the GRASS Datetime Library. The source tree for this library should have a description of the format. For convience, the formats are reproduced here:

There are two types of datetime values:

    •   absolute and

    •   relative.
Absolute values specify exact dates and/or times. Relative values specify a span of time.

  Absolute
The general format for absolute values is:

  day month year [bc] hour:minute:seconds timezone
	     day is 1-31
	     month is jan,feb,...,dec
	     year is 4 digit year
	     [bc] if present, indicates dates is BC
	     hour is 0-23 (24 hour clock)
	     minute is 0-59
	     second is 0-59.9999 (fractions of second allowed)
	     timezone is +hhmm or -hhmm (eg, -0600)

Some parts can be missing, for example

	     1994 [bc]
	     Jan 1994 [bc]
	     15 jan 1000 [bc]
	     15 jan 1994 [bc] 10 [+0000]
	     15 jan 1994 [bc] 10:00 [+0100]
	     15 jan 1994 [bc] 10:00:23.34 [-0500]

  Relative
There are two types of relative datetime values, year-month and day-second. The formats are:

	     [-] # years # months
	     [-] # days # hours # minutes # seconds

The words years, months, days, hours, minutes, seconds are literal words, and the # are the numeric values. Examples:

	     2 years
	     5 months
	     2 years 5 months
	     100 days
	     15 hours 25 minutes 35.34 seconds
	     100 days 25 minutes
	     1000 hours 35.34 seconds

The following are illegal because it mixes year-month and day-second (because the number of days in a month or in a year vary):

	     3 months 15 days
	     3 years 10 days

EXAMPLES
Prints the timestamp for the "lidar" vector map. If there is no timestamp for "lidar", nothing is printed. If there is a timestamp, one or two time strings are printed, depending on if the timestamp for the map consists of a single date or two dates (ie start and end dates).

    v.timestamp map=lidar

Sets the timestamp for "lidar" to the single date "15 sep 1987".

    v.timestamp map=lidar date=’15 sep 1987’

Sets the timestamp for "lidar" to have the start date "15 sep 1987" and the end date "20 feb 1988".

    v.timestamp map=lidar date=’15 sep 1987/20 feb 1988’

Removes the timestamp for the "lidar" vector map.

    v.timestamp map=lidar date=none

KNOWN ISSUES
Spaces in the timestamp value are required.

SEE ALSO
v.info

AUTHOR
Michael Shapiro, U.S.Army Construction Engineering Research Laboratory

Last changed: $Date: 2015-05-11 02:16:13 +0200 (po, 11 5 2015) $

Main index | Vector index | Topics index | Keywords index | Full index

© 2003-2015 GRASS Development Team, GRASS GIS 7.0.1 Reference Manual